Mandatory Software Upgrade: ZEN 2.0.19 Coming Soon

Please Update Your ZEN software before the 26th of October.

The new 2.0.19 version will be available at https://github.com/ZencashOfficial/zen/releases/latest or through the APT repository at the end of October.

3 Likes

Right now I’m using the old Arizen wallet. Do I need to do anything?
Also, I have funds in it being hosted for nodes.
Pls let me know if I need to do anything. Thank you!

Your Arizen wallet should be working fine. Only full node wallets (Sphere [in Full Mode] and HorizenDesktopGUIWallet) needed to be upgraded.

Arizen 1.2.4 is current and should be used.

Get it at:

Spencer

1 Like

Another successful deprecation!

Thank you to everyone who updated and for continuously supporting our project.